# needed for building on el6
%{?nodejs_find_provides_and_requires}

%global enable_tests 1
%global srcname test
%global owner gozala

Name:           nodejs-%{srcname}
Version:        0.6.0
Release:        1%{?dist}
Summary:        (Un)CommonJS test runner
License:        MIT
URL:            https://github.com/Gozala/test-commonjs
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch

%if 0%{?rhel} == 6
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%else
ExclusiveArch:  %{nodejs_arches} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  nodejs-ansi-font
%endif

%description
%{summary}.

%prep
%setup -qn package
rm -rf node_modules

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}

cp -pr package.json *.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} ./test/index.js
%endif

%files
%{!?_licensedir:%global license %doc}
%doc History.md Readme.md
%license License.md
%{nodejs_sitelib}/%{srcname}

%changelog
* Tue Nov 24 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.6.0-1
- Initial package
